import { htmlField, stringField } from "./shared.mjs"

export default class MGNECreatureTrait extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    return {
      description: htmlField(""),
      trigger: stringField(""),
    }
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["MGNE.CreatureTrait"]
}
